summaryrefslogtreecommitdiffstats
path: root/ci
diff options
context:
space:
mode:
authorNarinder Gupta <narinder.gupta@canonical.com>2017-04-06 11:29:44 -0500
committerNarinder Gupta <narinder.gupta@canonical.com>2017-04-18 07:52:14 -0500
commitf817c710443ed6e96bae76a93538880ff2e37916 (patch)
treed271f0851524efc3b58f15325c5adf3642593f7f /ci
parenta35b7cea80b694c3d7b44ac74e3929ee775c76ce (diff)
modified to remove the errors.
Change-Id: I9a7dc34d9c40517863505df350c3c2e91156e295 Signed-off-by: Narinder Gupta <narinder.gupta@canonical.com>
Diffstat (limited to 'ci')
-rwxr-xr-xci/clean.sh1
-rw-r--r--ci/config_tpl/juju2/bundle_tpl/bundle.yaml3
-rw-r--r--ci/genBundle.py4
3 files changed, 5 insertions, 3 deletions
diff --git a/ci/clean.sh b/ci/clean.sh
index a142ca7f..feecd70a 100755
--- a/ci/clean.sh
+++ b/ci/clean.sh
@@ -24,6 +24,7 @@ fi
if [[ "$jujuver" > "2" ]]; then
controllername=`awk 'NR==1{print substr($1, 1, length($1)-1)}' deployconfig.yaml`
cloudname=`awk 'NR==1{print substr($1, 1, length($1)-1)}' deployconfig.yaml`
+ juju destroy-controller $controllername --destroy-all-models -y || true
juju kill-controller $controllername --timeout 10s -y || true
rm -rf precise
rm -rf trusty
diff --git a/ci/config_tpl/juju2/bundle_tpl/bundle.yaml b/ci/config_tpl/juju2/bundle_tpl/bundle.yaml
index 5f3b5e8b..5a49b9a7 100644
--- a/ci/config_tpl/juju2/bundle_tpl/bundle.yaml
+++ b/ci/config_tpl/juju2/bundle_tpl/bundle.yaml
@@ -83,6 +83,3 @@
{% include 'harelations.yaml' %}
{% endif %}
{% include 'relations.yaml' %}
-{% if os.mano.mode == 'ha' %}
-{% include 'harelations.yaml' %}
-{% endif %}
diff --git a/ci/genBundle.py b/ci/genBundle.py
index 8075eeb9..78e3b1cd 100644
--- a/ci/genBundle.py
+++ b/ci/genBundle.py
@@ -193,6 +193,8 @@ if 'dishypcon' in features:
if 'hugepages' in features:
config['os']['beta']['huge_pages'] = True
config['os']['beta']['cpu_pin'] = True
+if 'openbaton' in features:
+ config['os']['service']['openbaton'] = True
# Set beta option from extra
@@ -213,6 +215,8 @@ if 'xenial' in extra:
config['ubuntu']['release'] = 'xenial'
if 'dishypcon' in extra:
config['os']['hyperconverged'] = False
+if 'openbaton' in features:
+ config['os']['service']['openbaton'] = True
#
# Transform template to bundle.yaml according to config